Name:     yydebug
Version:  1.1.0
Release:  %mkrel 18
Summary:  Supports tracing and animation for a Java-based parser generated by jay
Group:    Development/Java
License:  BSD
URL:      https://www.cs.rit.edu/~ats/projects/lp/doc/jay/yydebug/package-summary.html
Source0:  https://www.cs.rit.edu/~ats/projects/lp/doc/jay/yydebug/doc-files/src.jar
Source1:  https://repo1.maven.org/maven2/org/jruby/jay-yydebug/1.0/jay-yydebug-1.0.pom

BuildRequires: maven-local

BuildArch:      noarch

%description
jay/yydebug supports tracing and animation for a Java-based parser generated 
by jay. An implementation of yyDebug is passed as an additional argument to 
yyparse() to trace a Java-based parser generated by jay with option -t set.
yyDebugAdapter produces one-line messages, by default to standard output. 
The messages are designed to be filtered by a program such as grep. yyAnim 
provides an animation of the parsing process

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jay-yydebug -c %{name}-%{version}

find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

cp %{SOURCE1} pom.xml

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc jay/yydebug/package.html

%files javadoc -f .mfiles-javadoc




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.1.0-18.mga10
+ Revision: 2223860
- Mageia 10 Mass Rebuild

* Mon May 27 2024 ns80 <ns80> 1.1.0-17.mga10
+ Revision: 2067972
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.1.0-16.mga9
+ Revision: 1827584
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 daviddavid <daviddavid> 1.1.0-15.mga8
+ Revision: 1623154
- Mavenize yydebug (#1019877)
- Cleanup unneeded parts, update to latest guidelines
- Rebuilt for JDK-11
- Remove unnecessary dependency on parent POM

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-14.mga8
+ Revision: 1501310
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-13.mga7
+ Revision: 1277382
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-12.mga6
+ Revision: 946376
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-11.mga5
+ Revision: 750138
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-10.mga5
+ Revision: 690850
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-9.mga4
+ Revision: 522285
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.1.0-8.mga3
+ Revision: 399141
- imported package yydebug


* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu May  06 2010  Mohammed Morsi <mmorsi@redhat.com> - 1.1.0-5
- added my name which was missing in this changelog

* Wed May  05 2010  Mohammed Morsi <mmorsi@redhat.com> - 1.1.0-4
- added Alexander Kurtakov's patch to generate javadocs
- added javadoc bits to the spec

* Tue May  04 2010  Mohammed Morsi <mmorsi@redhat.com> - 1.1.0-3
- BSD license retrieved from 'jay' superproject
- http://svn.codehaus.org/jruby/trunk/jay/jay.1

* Tue Apr  27 2010  Mohammed Morsi <mmorsi@redhat.com> - 1.1.0-2
- removed gcj bits

* Thu Jan  21 2009  Mohammed Morsi <mmorsi@redhat.com> - 1.1.0-1
- Initial build.
